/api/v1/authenticators
Create Authenticator
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| activate | query | optional | boolean | — |
application/json
Authenticator
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| key | string | optional |
| name | string | optional |
| type | string | optional |
| _links | object | optional |
| status | string | optional |
| created | string | optional |
| provider | object | optional |
| └ type | string | optional |
| └ configuration | object | optional |
| └ host | string | optional |
| └ authPort | integer | optional |
| └ hostName | string | optional |
| └ secretKey | string | optional |
| └ instanceId | string | optional |
| └ sharedSecret | string | optional |
| └ integrationKey | string | optional |
| └ userNameTemplate | object | optional |
| └ template | string | optional |
| settings | object | optional |
| └ allowedFor | string | optional |
| └ compliance | object | optional |
| └ fips | string | optional |
| └ appInstanceId | string | optional |
| └ channelBinding | object | optional |
| └ style | string | optional |
| └ required | string | optional |
| └ userVerification | string | optional |
| └ tokenLifetimeInMinutes | integer | optional |
| lastUpdated | string | optional |
Success
POST /api/v1/authenticators
/api/v1/authenticators/{authenticatorId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authenticatorId | path | required | string | — |
Success
GET /api/v1/authenticators/{authenticatorId}
/api/v1/authenticators/{authenticatorId}
Updates an authenticator
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authenticatorId | path | required | string | — |
application/json
Authenticator
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| key | string | optional |
| name | string | optional |
| type | string | optional |
| _links | object | optional |
| status | string | optional |
| created | string | optional |
| provider | object | optional |
| └ type | string | optional |
| └ configuration | object | optional |
| └ host | string | optional |
| └ authPort | integer | optional |
| └ hostName | string | optional |
| └ secretKey | string | optional |
| └ instanceId | string | optional |
| └ sharedSecret | string | optional |
| └ integrationKey | string | optional |
| └ userNameTemplate | object | optional |
| └ template | string | optional |
| settings | object | optional |
| └ allowedFor | string | optional |
| └ compliance | object | optional |
| └ fips | string | optional |
| └ appInstanceId | string | optional |
| └ channelBinding | object | optional |
| └ style | string | optional |
| └ required | string | optional |
| └ userVerification | string | optional |
| └ tokenLifetimeInMinutes | integer | optional |
| lastUpdated | string | optional |
Success
PUT /api/v1/authenticators/{authenticatorId}
/api/v1/authenticators/{authenticatorId}/lifecycle/activate
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authenticatorId | path | required | string | — |
Success
POST /api/v1/authenticators/{authenticatorId}/lifecycle/activate
/api/v1/authenticators/{authenticatorId}/lifecycle/deactivate
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authenticatorId | path | required | string | — |
Success
POST /api/v1/authenticators/{authenticatorId}/lifecycle/deactivate
/api/v1/authorizationServers
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| q | query | optional | string | — |
| limit | query | optional | string | — |
| after | query | optional | string | — |
Success
GET /api/v1/authorizationServers
/api/v1/authorizationServers
Success
application/json
AuthorizationServer
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| _links | object | optional |
| issuer | string | optional |
| status | string | optional |
| created | string | optional |
| default | boolean | optional |
| audiences | array | optional |
| issuerMode | string | optional |
| credentials | object | optional |
| └ signing | object | optional |
| └ kid | string | optional |
| └ use | string | optional |
| └ lastRotated | string | optional |
| └ nextRotation | string | optional |
| └ rotationMode | string | optional |
| description | string | optional |
| lastUpdated | string | optional |
Success
Created
POST /api/v1/authorizationServers
/api/v1/authorizationServers/{authServerId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
No Content
DELETE /api/v1/authorizationServers/{authServerId}
/api/v1/authorizationServers/{authServerId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}
/api/v1/authorizationServers/{authServerId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
application/json
AuthorizationServer
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| _links | object | optional |
| issuer | string | optional |
| status | string | optional |
| created | string | optional |
| default | boolean | optional |
| audiences | array | optional |
| issuerMode | string | optional |
| credentials | object | optional |
| └ signing | object | optional |
| └ kid | string | optional |
| └ use | string | optional |
| └ lastRotated | string | optional |
| └ nextRotation | string | optional |
| └ rotationMode | string | optional |
| description | string | optional |
| lastUpdated | string | optional |
Success
PUT /api/v1/authorizationServers/{authServerId}
/api/v1/authorizationServers/{authServerId}/claims
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/claims
/api/v1/authorizationServers/{authServerId}/claims
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
application/json
OAuth2Claim
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| value | string | optional |
| _links | object | optional |
| status | string | optional |
| system | boolean | optional |
| claimType | string | optional |
| valueType | string | optional |
| conditions | object | optional |
| └ scopes | array | optional |
| group_filter_type | string | optional |
| alwaysIncludeInToken | boolean | optional |
Created
Success
POST /api/v1/authorizationServers/{authServerId}/claims
/api/v1/authorizationServers/{authServerId}/claims/{claimId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| claimId | path | required | string | — |
No Content
DELETE /api/v1/authorizationServers/{authServerId}/claims/{claimId}
/api/v1/authorizationServers/{authServerId}/claims/{claimId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| claimId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/claims/{claimId}
/api/v1/authorizationServers/{authServerId}/claims/{claimId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| claimId | path | required | string | — |
application/json
OAuth2Claim
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| value | string | optional |
| _links | object | optional |
| status | string | optional |
| system | boolean | optional |
| claimType | string | optional |
| valueType | string | optional |
| conditions | object | optional |
| └ scopes | array | optional |
| group_filter_type | string | optional |
| alwaysIncludeInToken | boolean | optional |
Success
PUT /api/v1/authorizationServers/{authServerId}/claims/{claimId}
/api/v1/authorizationServers/{authServerId}/clients
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/clients
/api/v1/authorizationServers/{authServerId}/clients/{clientId}/tokens
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| clientId | path | required | string | — |
No Content
DELETE /api/v1/authorizationServers/{authServerId}/clients/{clientId}/tokens
/api/v1/authorizationServers/{authServerId}/clients/{clientId}/tokens
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| clientId | path | required | string | — |
| expand | query | optional | string | — |
| after | query | optional | string | — |
| limit | query | optional | integer | — |
Success
GET /api/v1/authorizationServers/{authServerId}/clients/{clientId}/tokens
/api/v1/authorizationServers/{authServerId}/clients/{clientId}/tokens/{tokenId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| clientId | path | required | string | — |
| tokenId | path | required | string | — |
No Content
DELETE /api/v1/authorizationServers/{authServerId}/clients/{clientId}/tokens/{tokenId}
/api/v1/authorizationServers/{authServerId}/clients/{clientId}/tokens/{tokenId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| clientId | path | required | string | — |
| tokenId | path | required | string | — |
| expand | query | optional | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/clients/{clientId}/tokens/{tokenId}
/api/v1/authorizationServers/{authServerId}/credentials/keys
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/credentials/keys
/api/v1/authorizationServers/{authServerId}/credentials/lifecycle/keyRotate
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
application/json
JwkUse
Success
POST /api/v1/authorizationServers/{authServerId}/credentials/lifecycle/keyRotate
/api/v1/authorizationServers/{authServerId}/lifecycle/activate
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
Success
POST /api/v1/authorizationServers/{authServerId}/lifecycle/activate
/api/v1/authorizationServers/{authServerId}/lifecycle/deactivate
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
Success
POST /api/v1/authorizationServers/{authServerId}/lifecycle/deactivate
/api/v1/authorizationServers/{authServerId}/policies
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/policies
/api/v1/authorizationServers/{authServerId}/policies
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
application/json
AuthorizationServerPolicy
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| type | string | optional |
| _links | object | optional |
| status | string | optional |
| system | boolean | optional |
| created | string | optional |
| priority | integer | optional |
| _embedded | object | optional |
| conditions | object | optional |
| └ app | object | optional |
| └ exclude | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ apps | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ risk | object | optional |
| └ behaviors | array | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ inactivity | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ passwordExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleStatus | string | optional |
| └ userLifecycleAttribute | object | optional |
| └ attributeName | string | optional |
| └ matchingValue | string | optional |
| └ device | object | optional |
| └ rooted | boolean | optional |
| └ migrated | boolean | optional |
| └ platform | object | optional |
| └ types | array | optional |
| └ supportedMDMFrameworks | array | optional |
| └ trustLevel | string | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ people | object | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ scopes | object | optional |
| └ include | array | optional |
| └ clients | object | optional |
| └ include | array | optional |
| └ context | object | optional |
| └ expression | string | optional |
| └ network | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ connection | string | optional |
| └ platform | object | optional |
| └ exclude | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ riskScore | object | optional |
| └ level | string | optional |
| └ grantTypes | object | optional |
| └ include | array | optional |
| └ userStatus | object | optional |
| └ value | string | optional |
| └ authContext | object | optional |
| └ authType | string | optional |
| └ authProvider | object | optional |
| └ include | array | optional |
| └ provider | string | optional |
| └ mdmEnrollment | object | optional |
| └ enrollment | string | optional |
| └ blockNonSafeAndroid | boolean | optional |
| └ userIdentifier | object | optional |
| └ type | string | optional |
| └ patterns | array | optional |
| └ value | string | optional |
| └ matchType | string | optional |
| └ attribute | string | optional |
| └ identityProvider | object | optional |
| └ idpIds | array | optional |
| └ provider | string | optional |
| └ …1 more | object | optional |
| description | string | optional |
| lastUpdated | string | optional |
Success
Created
POST /api/v1/authorizationServers/{authServerId}/policies
/api/v1/authorizationServers/{authServerId}/policies/{policyId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
No Content
DELETE /api/v1/authorizationServers/{authServerId}/policies/{policyId}
/api/v1/authorizationServers/{authServerId}/policies/{policyId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/policies/{policyId}
/api/v1/authorizationServers/{authServerId}/policies/{policyId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
application/json
AuthorizationServerPolicy
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| type | string | optional |
| _links | object | optional |
| status | string | optional |
| system | boolean | optional |
| created | string | optional |
| priority | integer | optional |
| _embedded | object | optional |
| conditions | object | optional |
| └ app | object | optional |
| └ exclude | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ apps | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ risk | object | optional |
| └ behaviors | array | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ inactivity | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ passwordExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleStatus | string | optional |
| └ userLifecycleAttribute | object | optional |
| └ attributeName | string | optional |
| └ matchingValue | string | optional |
| └ device | object | optional |
| └ rooted | boolean | optional |
| └ migrated | boolean | optional |
| └ platform | object | optional |
| └ types | array | optional |
| └ supportedMDMFrameworks | array | optional |
| └ trustLevel | string | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ people | object | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ scopes | object | optional |
| └ include | array | optional |
| └ clients | object | optional |
| └ include | array | optional |
| └ context | object | optional |
| └ expression | string | optional |
| └ network | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ connection | string | optional |
| └ platform | object | optional |
| └ exclude | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ riskScore | object | optional |
| └ level | string | optional |
| └ grantTypes | object | optional |
| └ include | array | optional |
| └ userStatus | object | optional |
| └ value | string | optional |
| └ authContext | object | optional |
| └ authType | string | optional |
| └ authProvider | object | optional |
| └ include | array | optional |
| └ provider | string | optional |
| └ mdmEnrollment | object | optional |
| └ enrollment | string | optional |
| └ blockNonSafeAndroid | boolean | optional |
| └ userIdentifier | object | optional |
| └ type | string | optional |
| └ patterns | array | optional |
| └ value | string | optional |
| └ matchType | string | optional |
| └ attribute | string | optional |
| └ identityProvider | object | optional |
| └ idpIds | array | optional |
| └ provider | string | optional |
| └ …1 more | object | optional |
| description | string | optional |
| lastUpdated | string | optional |
Success
PUT /api/v1/authorizationServers/{authServerId}/policies/{policyId}
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/lifecycle/activate
Activate Authorization Server Policy
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
Success
POST /api/v1/authorizationServers/{authServerId}/policies/{policyId}/lifecycle/activate
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/lifecycle/deactivate
Deactivate Authorization Server Policy
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
Success
POST /api/v1/authorizationServers/{authServerId}/policies/{policyId}/lifecycle/deactivate
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules
Enumerates all policy rules for the specified Custom Authorization Server and Policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules
Creates a policy rule for the specified Custom Authorization Server and Policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
application/json
AuthorizationServerPolicyRule
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| type | string | optional |
| status | string | optional |
| system | boolean | optional |
| actions | object | optional |
| └ token | object | optional |
| └ inlineHook | object | optional |
| └ id | string | optional |
| └ refreshTokenWindowMinutes | integer | optional |
| └ accessTokenLifetimeMinutes | integer | optional |
| └ refreshTokenLifetimeMinutes | integer | optional |
| created | string | optional |
| priority | integer | optional |
| conditions | object | optional |
| └ people | object | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ scopes | object | optional |
| └ include | array | optional |
| └ clients | object | optional |
| └ include | array | optional |
| └ grantTypes | object | optional |
| └ include | array | optional |
| lastUpdated | string | optional |
Success
POST /api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}
Deletes a Policy Rule defined in the specified Custom Authorization Server and Policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
No Content
DELETE /api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}
Returns a Policy Rule by ID that is defined in the specified Custom Authorization Server and Policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}
Updates the configuration of the Policy Rule defined in the specified Custom Authorization Server and Policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
application/json
AuthorizationServerPolicyRule
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| type | string | optional |
| status | string | optional |
| system | boolean | optional |
| actions | object | optional |
| └ token | object | optional |
| └ inlineHook | object | optional |
| └ id | string | optional |
| └ refreshTokenWindowMinutes | integer | optional |
| └ accessTokenLifetimeMinutes | integer | optional |
| └ refreshTokenLifetimeMinutes | integer | optional |
| created | string | optional |
| priority | integer | optional |
| conditions | object | optional |
| └ people | object | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ scopes | object | optional |
| └ include | array | optional |
| └ clients | object | optional |
| └ include | array | optional |
| └ grantTypes | object | optional |
| └ include | array | optional |
| lastUpdated | string | optional |
Success
PUT /api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}/lifecycle/activate
Activate Authorization Server Policy Rule
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
Success
POST /api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}/lifecycle/activate
/api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}/lifecycle/deactivate
Deactivate Authorization Server Policy Rule
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
Success
POST /api/v1/authorizationServers/{authServerId}/policies/{policyId}/rules/{ruleId}/lifecycle/deactivate
/api/v1/authorizationServers/{authServerId}/scopes
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| q | query | optional | string | — |
| filter | query | optional | string | — |
| cursor | query | optional | string | — |
| limit | query | optional | integer | — |
Success
GET /api/v1/authorizationServers/{authServerId}/scopes
/api/v1/authorizationServers/{authServerId}/scopes
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
application/json
OAuth2Scope
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| system | boolean | optional |
| consent | string | optional |
| default | boolean | optional |
| description | string | optional |
| displayName | string | optional |
| metadataPublish | string | optional |
Success
Success
POST /api/v1/authorizationServers/{authServerId}/scopes
/api/v1/authorizationServers/{authServerId}/scopes/{scopeId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| scopeId | path | required | string | — |
No Content
DELETE /api/v1/authorizationServers/{authServerId}/scopes/{scopeId}
/api/v1/authorizationServers/{authServerId}/scopes/{scopeId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| scopeId | path | required | string | — |
Success
GET /api/v1/authorizationServers/{authServerId}/scopes/{scopeId}
/api/v1/authorizationServers/{authServerId}/scopes/{scopeId}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| authServerId | path | required | string | — |
| scopeId | path | required | string | — |
application/json
OAuth2Scope
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| system | boolean | optional |
| consent | string | optional |
| default | boolean | optional |
| description | string | optional |
| displayName | string | optional |
| metadataPublish | string | optional |
Success
PUT /api/v1/authorizationServers/{authServerId}/scopes/{scopeId}
/api/v1/brands
List all the brands in your org.
Success
GET /api/v1/brands
/api/v1/brands/{brandId}
Fetches a brand by brandId
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| brandId | path | required | string | — |
Success
Not Found
GET /api/v1/brands/{brandId}
/api/v1/brands/{brandId}
Updates a brand by brandId
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| brandId | path | required | string | — |
application/json
Brand
Success
Bad Request
PUT /api/v1/brands/{brandId}
/api/v1/brands/{brandId}/templates/email
List email templates in your organization with pagination.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| brandId | path | required | string | — |
| after | query | optional | string | Specifies the pagination cursor for the next page of email templates. |
| limit | query | optional | integer | Specifies the number of results returned (maximum 200) |
Success
GET /api/v1/brands/{brandId}/templates/email
/api/v1/brands/{brandId}/templates/email/{templateName}
Fetch an email template by templateName
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| brandId | path | required | string | — |
| templateName | path | required | string | — |
Success
GET /api/v1/brands/{brandId}/templates/email/{templateName}
/api/v1/brands/{brandId}/templates/email/{templateName}/customizations
Delete all customizations for an email template. Also known as “Reset to Default”.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| brandId | path | required | string | — |
| templateName | path | required | string | — |
Success
DELETE /api/v1/brands/{brandId}/templates/email/{templateName}/customizations
/api/v1/brands/{brandId}/templates/email/{templateName}/customizations
List all email customizations for an email template
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| brandId | path | required | string | — |
| templateName | path | required | string | — |
Success
GET /api/v1/brands/{brandId}/templates/email/{templateName}/customizations